<?php get_header(); ?>
    <style>
        .isotope-item {z-index: 2;}
        .isotope-hidden.isotope-item {pointer-events: none; z-index: 1;}
    </style>
    <section class="gallery">
        <div class="center">
            <h2 class="boxtitle">
                <?php _e('Gallery','aletheme'); ?>: <?php $terms = get_the_terms($post->id, 'gallery-category'); foreach($terms as $itcat) { echo $itcat->name.' ';} ?>
            </h2>



            <div id="galcontainer"  class="gallerybox gallerygrid cf">
                <?php if (have_posts()) : while (have_posts()) : the_post();
                    $terms = get_the_terms($post->id, 'gallery-category'); ?>
                    <div class="col-3 element <?php $terms = get_the_terms($post->id, 'gallery-category'); foreach($terms as $itcat) { echo $itcat->slug.' ';} ?>">
                        <a href="<?php the_permalink(); ?>">
                            <?php if(get_the_post_thumbnail($post->ID, 'gallery-thumba')){
                                echo get_the_post_thumbnail($post->ID, 'gallery-thumba');
                            } else { ?>
                                <img src="http://placehold.it/225x161&text=No Image" alt="<?php the_title(); ?>"/>
                            <?php } ?>
                            <div class="hover">
                                <h3><?php the_title(); ?></h3>
                                <p><?php foreach($terms as $term){if($term->name){ echo $term->name; }} ?></p>
                            </div>
                        </a>
                    </div>
                <?php endwhile; else: ?>
                    <?php ale_part('notfound')?>
                <?php endif; ?>
            </div>
            <?php if(get_posts_nav_link()){ ?>
                <div class="pagination gallerypagination cf">
                    <?php posts_nav_link(' / ',__('Newer'),__('Older')); ?>
                </div>
            <?php } ?>

        </div>

    </section>
<?php get_footer(); ?>