<?php
//Theme Information Data
function aletheme_information_page(){ ?>
    <div class="wrap" id="aletheme-edit-slider-page">
    <h2><?php echo _e('Theme Information','aletheme'); ?></h2>
    <div id="optionsframework-metabox" class="metabox-holder">
    <div id="optionsframework" class="postbox">
    <h3><?php _e('General Information','aletheme'); ?></h3>
    <div class="page">
        <ul>
            <li><?php _e('WordPress Version','aletheme'); ?>: <b><?php echo get_bloginfo('version'); ?></b></li>
            <li><?php _e('URL','aletheme'); ?>: <b><a href="<?php echo site_url(); ?>" target="_blank"><?php echo site_url(); ?></a></b></li>
            <li><?php _e('Theme Version','aletheme'); ?>: <b><?php $ale_theme = wp_get_theme(); echo $ale_theme->get( 'Version' ); ?></b></li>
            <li><?php _e('PHP Version','aletheme'); ?>: <b><?php echo phpversion(); ?></b></li>
            <li><?php _e('MySQL server version','aletheme'); ?>: <b><?php echo  mysql_get_server_info(); ?></b></li>
            <li><?php _e('Theme created date','aletheme'); ?>: <b>02 March, 2014</b></li>
            <li><?php _e('Theme last update date','aletheme'); ?>: <b>22 April, 2014</b></li>
        </ul>
    </div>
    <h3><?php _e('Installed Plugins','aletheme'); ?></h3>
    <div class="page">
        <ul>
            <?php foreach(get_option( 'active_plugins' ) as $plugin) { echo '<li>'.$plugin.'</li>'; } ?>
        </ul>
    </div>
    <h3><?php _e('Changelog','aletheme'); ?></h3>
    <div class="page">
        <b><i>Version 1.5 - 25 January 2016</i></b><br />
        <p class="greycolor">
            - WordPress 4.4.1 Ready<br />
            - Fixed the issue with Admin Menu blank page<br />
            - Updated Visual Composer Plugin<br />
        </p>
        <b><i>Version 1.4 - 02 September 2015</i></b><br />
        <p class="greycolor">
            - WordPress 4.3 Ready<br />
            - Updated custom plugins and fixed WP_Widget issue on WP 4.3<br />
            - Updated Visual Composer Page Builder Plugin<br />
            - Added new "Demo Content Upload" tool<br />
        </p>
        <b><i>Version 1.3 - 26 June 2015</i></b><br />
        <p class="greycolor">
            - WordPress 4.2 Ready<br />
            - Updated Visual Composer Page Builder Plugin<br />
        </p>
        <b><i>Version 1.2 - 22.04.2014</i></b><br />
        <p class="greycolor">
            - WordPress 3.9 Ready<br />
            - Fixed the Shortcode tinymce icon issue<br />
        </p>
        <b><i>Version 1.1 - 08.04.2014</i></b><br />
        <p class="greycolor">
            - Child Theme support / added a child theme example<br>
            - Fixed the issue with gallery modal window images list<br>
            - Fixed the footer "Adress" mistake issue<br>
            - Fixed the issue with Sliders Page unnecessary fields<br>
            - Added option to show on inner page the Inner Menu (this is done to show on Home the scroll menu, and on inner the default link menu)<br>
        </p>
        <b><i>Version 1.0 - 02.03.2014</i></b><br />
        <p class="greycolor">
            - Initial Release
        </p>
    </div>
    </div>
    </div>
    </div>
<?php }