<section class="home">
    <section class="top-background-two" data-type="background" <?php if(ale_get_option('header1bg')){ echo 'style="background-image: url('.ale_get_option('header1bg').');"'; } ?>>

        <div class="logo">
            <?php if(ale_get_option('sitelogo')){ ?>
                <a href="<?php echo home_url(); ?>/" class="customlogo"><img src="<?php echo ale_get_option('sitelogo'); ?>" /></a>
                <a href="<?php echo home_url(); ?>/" class="mobcustomlogo cf"><img src="<?php echo ale_get_option('mobsitelogo'); ?>" /></a>
            <?php } else { ?>
                <a href="<?php echo home_url(); ?>/" class="alelogo"><?php echo bloginfo('name'); ?></a>
            <?php } ?>
        </div>
    </section>

    <!-- Navigation -->
    <nav class="top-navigation-two">
        <div class="center">
            <?php if(is_page_template('page-home.php')){
                if ( has_nav_menu( 'header_menu' ) ) {
                    wp_nav_menu(array(
                        'theme_location'=> 'header_menu',
                        'menu'			=> 'Header Menu',
                        'menu_class'	=> 'topmenu',
                        'walker'		=> new Aletheme_Nav_Walker(),
                    ));
                }
            } else {
                if ( has_nav_menu( 'header_menu_inner' ) ) {
                    wp_nav_menu(array(
                        'theme_location'=> 'header_menu_inner',
                        'menu'			=> 'Inner Header Menu',
                        'menu_class'	=> 'topmenu',
                        'walker'		=> new Aletheme_Nav_Walker(),
                    ));
                }
            }  ?>
        </div>
        <div class="drop-menu">
            <a>Menu</a>
            <?php if ( has_nav_menu( 'mobile_menu' ) ) {
                wp_nav_menu(array(
                    'theme_location'=> 'mobile_menu',
                    'menu'			=> 'Mobile Menu',
                    'menu_class'	=> 'ul-drop',
                    'walker'		=> new Aletheme_Nav_Walker(),
                    'container'     => '',
                ));
            } ?>
        </div>
    </nav>

</section>