<?php get_header(); ?>
    <section class="blog cf">
        <div class="center mainbox cf">
            <div class="col-10 main">
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <div <?php post_class(); ?> id="post-<?php the_ID()?>" data-post-id="<?php the_ID()?>">
                        <div class="story-slider cf">
                            <ul class="slides">
                                <?php
                                $args = array(
                                    'post_type' => 'attachment',
                                    'numberposts' => -1,
                                    'post_status' => null,
                                    'order'				=> 'ASC',
                                    'orderby'			=> 'menu_order ID',
                                    'meta_query'		=> array(
                                        array(
                                            'key'		=> '_ale_hide_from_gallery',
                                            'value'		=> 0,
                                            'type'		=> 'DECIMAL',
                                        ),
                                    ),
                                    'post_parent' => $post->ID
                                );
                                $attachments = get_posts( $args );
                                if ( $attachments ) {
                                    foreach ( $attachments as $attachment ) {
                                        echo "<li>".wp_get_attachment_image( $attachment->ID, 'large' )."</li>";
                                    }
                                }
                                ?>
                            </ul>
                        </div>
                        <div class="container-blog cf">
                            <div class="col-3 postsliderarrows cf">
                                <div class="arrowscontainer">
                                    <span class="prev"></span><span class="next"></span>
                                </div>
                            </div>
                            <div class="col-9">
                                <h2 class="post-title firstfont"><?php the_title(); ?></h2>
                                <span class="post-info"><?php _e('Date','aletheme'); ?> - <?php echo get_the_date(); ?> / <?php _e('Author','aletheme'); ?> - <?php echo get_the_author(); ?> / <?php if(get_the_category()){ _e('Category','aletheme');?> - <?php echo the_category(', '); } ?></span>

                                <div class="text story">
                                    <?php the_content(); ?>
                                    <?php if(get_the_tags()){ ?>
                                        <p class="tagsphar"><?php the_tags(); ?></p>
                                    <?php } ?>

                                    <?php wp_link_pages(array(
                                        'before' => '<p>' . __('Pages:', 'aletheme'),
                                        'after'	 => '</p>',
                                    ));

                                    comments_template();
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endwhile;
                else:  ale_part('notfound');
                endif; ?>
            </div>
            <div class="col-2 right">
                <div class="content">
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </section>
<?php get_footer(); ?>